package org.r3pek.droiduptime;

import android.content.Context;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.text.format.DateUtils;

public class ConfigValues {
	private SharedPreferences settings;
	private Context ctx;

	public ConfigValues(Context ctx) {
		this.ctx = ctx;
		settings = PreferenceManager.getDefaultSharedPreferences(ctx);
	}
	
	public String getUsername() {
		return settings.getString("username", "");
	}
	
	public String getPassword() {
		return settings.getString("password", "");
	}
	
	public int getUpdateInterval() {
		return Integer.parseInt(settings.getString("pref_gen_update_int", "3600"));
	}
	
	public String getHostname() {
		return settings.getString("pref_gen_hostname", "");
	}
	
	public String getLastUpdate() {
		long lastUpdate = settings.getLong("lastUpdate", Long.MAX_VALUE);
		if (lastUpdate == Long.MAX_VALUE)
			return ctx.getString(R.string.notyetupdated).toString();
		else
			return DateUtils.getRelativeTimeSpanString(lastUpdate).toString();
	}
	
	public void setLastUpdate(Long time) {
		SharedPreferences.Editor editor = settings.edit();
		editor.putLong("lastUpdate", time);
		editor.commit();
	}

}
